<bugID>1342770<Summary>Ambiguous "N files downloading" in downloads panel (is "other/more"; can be understood as "total)</Summary><Description>Created attachment 8841349
screenshot of issue (ignore that it's German)

Firefox Nightly 54.0a1 + 53.0a2, both latest version.

Bug 1269958 changed the label for the aggregation of downloads which aren't shown in the download panels if there are more than the view allows to "N files downloading". Before it was "N other downloads". If one downloads 10 or more files, the label becomes ambiguous because it can be understood as a summary of all downloads at the bottom but it shows the summary of all other downloads.</Description></bugID>